@echo off
CLS

IF "%1" == "/?" GOTO HELP
IF "%1" == "HELP" GOTO HELP
IF "%1" == "help" GOTO HELP
IF "%1" == "Help" GOTO HELP
IF "%1" == "INFO" GOTO INFO
IF "%1" == "Info" GOTO INFO
IF "%1" == "info" GOTO INFO

REM assume default installation to c:\windows, set the dos environment
rem of windir to default installation path.  check to see if a parameter
rem was entered on the command line after UPDATEW, if so, then reset
rem the dos windir environment to that parameter and then copy the update
rem files to that specification...assume user enters path correctly.
REM

SET WINDIR=C:\WINDOWS
IF "%1" == "" GOTO CONT
SET WINDIR=%1
GOTO CONT

:CONT
echo ******************************************************************
echo                     PLEASE READ BEFORE PROCEEDING !!!
echo.
echo This update batch file is provided by Novell to help you update 
echo your NetWare Client for MS Windows software.  This batch file
ECHO assumes you installed MS Windows to the default installation path of
ECHO C:\WINDOWS.  If you did not use the default installation path, quit
ECHO this batch process and type UPDATEW HELP.
echo.
echo You need to update your Personal NetWare and the NetWare VLM Client 
echo software to version 1.20 or above prior to running this update batch
echo file.  Quit this batch file and type UPDATEW INFO for more information.
echo ******************************************************************
echo.
echo Press "ctrl" and "C" and answer "Y" to halt this batch process
echo.
echo OR
echo.
pause
CLS
echo.
ECHO UPDATEW will now clean up files in %WINDIR%, if the file that
echo UPDATEW is attempting to delete is not found, a "File Not Found"
echo message may appear.  This is not a problem.
echo.
pause
ECHO.
del %WINDIR%\NW*.DLL
DEL %WINDIR%\PNW.DLL
DEL %WINDIR%\VIPX.386
DEL %WINDIR%\VNETWARE.386
DEL %WINDIR%\VPICDA.386

rem Make backup copies of drivers before installing the new ones
REm %WINDIR%\SYSTEM\NW*.DLL *.OLD
REm 

REM copy the update files by moving in and out of the directories at this
rem tree level.  destination path is the dos environment WINDIR.
REM

REM COPY FILES FROM WINDR2.EXE
echo.
echo Copying The NetWare Client Files For MS WINDOWS To %WINDIR%
echo.

copy %windir%\system\nwpopup.exe %windir%\system\nwpopup.old
copy nwpopup.exe %WINDIR%\SYSTEM

cd vlmdrvs
copy %windir%\system\nwuser.exe %windir%\system\nwuser.old
copy NWUSER.exe %WINDIR%\SYSTEM
copy %windir%\system\netware.drv %windir%\system\netware.old
COPY NETWARE.drv %WINDIR%\SYSTEM

copy %windir%\nls\*.001 %windir%\nls\*.old
COPY *.001 %WINDIR%\NLS
CD..

CD VXDS
copy %WINDIR%\SYSTEM\vipx.386 %WINDIR%\SYSTEM\vipx.old
copy %WINDIR%\SYSTEM\vnetware.386 %WINDIR%\SYSTEM\vnetware.old
COPY vipx.386 %WINDIR%\SYSTEM
copy vnetware.386 %WINDIR%\SYSTEM
CD..

REM NWDLL2.EXE
echo.
rem copy files from NWDLL2.EXE to Windows\System
cd nwdll
copy %WINDIR%\SYSTEM\nwcalls.dll %WINDIR%\SYSTEM\nwcalls.old
copy %WINDIR%\SYSTEM\nwipxspx.dll %WINDIR%\SYSTEM\nwipxspx.old
copy %WINDIR%\SYSTEM\nwlocale.dll %WINDIR%\SYSTEM\nwlocale.old
copy %WINDIR%\SYSTEM\nwnet.dll %WINDIR%\SYSTEM\nwnet.old
copy %WINDIR%\SYSTEM\nwpsrv.dll %WINDIR%\SYSTEM\nwpsrv.old
copy %WINDIR%\SYSTEM\nwgdi.dll %WINDIR%\SYSTEM\nwgdi.old
copy %WINDIR%\SYSTEM\pnw.dll %WINDIR%\SYSTEM\pnw.old

copy *.* %WINDIR%\system
cd..
echo.
echo If you have MS Windows currently running, you need to exit and restart
echo MS Windows so the update files can be loaded.
echo.
GOTO INFO1

:HELP
CLS
echo NetWare Client for MS Windows Update Batch File:
ECHO.
ECHO     USAGE:  UPDATEW (d:\path or INFO)
echo.
echo If MS Windows was installed to the default path of: C:\WINDOWS,
ECHO then run UPDATEW with no parameters.
echo.
echo If MS Windows was installed to a non-default path, run UPDATEW
echo followed by the full path to MS Windows.
echo.
echo Example: If MS Windows was installed to D:\WIN then run:
echo.
echo     UPDATEW D:\WIN
echo.
echo Important information is included in this batch file.  To 
echo display the information only and NOT copy the update files, type:
echo.
echo     UPDATEW INFO
echo.
GOTO end

:INFO
echo.
echo.
echo ******************************************************************
echo The Personal NetWare and the NetWare VLM Client software must be
echo updated prior to running this update file.  Download the PNWUPD.EXE
echo file from the Novell DeskTop BBS to update both the Personal NetWare
echo and the NetWare VLM Client files.
echo.
GOTO INFO2
:INFO1
echo ******************************************************************
:INFO2
echo This update needs to be run on all machines on the network.  Go to
echo each machine, map a drive letter to the server, and run this same
echo UPDATEW batch file.
echo.
pause
echo.
echo This update file has been customized to fit the needs of the majority
echo of Personal NetWare users.  The update files that this batch file
echo installs on the local machine were extracted from the general Novell
echo Client for MS Windows files WINDR2.EXE and NWDLL2.EXE.  If you need
echo other files that are not included in this update file, you can find
echo both of the original files in the same location you downloaded this
echo file from.
echo.
pause
echo.
echo Novell provides free self help FAXBACK documents for Personal
echo NetWare.  Call 800-768-9771 and select option 3.  First, have the
echo Personal NetWare Master Catalog faxed to you and then call back to
echo order specific documents.  All of the Personal NetWare technical
echo information documents are kept in one file on the Novell DeskTop BBS
echo in the PNWTID.EXE file (see below for accessing the BBS).
echo.
echo Other patch files are available on the BBS which address specific
echo issues.  Call the Novell DeskTop BBS at 801-221-5197, select "F"iles
echo and "P"ersonal NetWare.  All available patches and technical
echo information documents will be displayed with a brief description.
echo ******************************************************************
:END
SET WINDIR=
